bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#7908: png-1.5 fix for emacs-23.2 and HEAD


From: Eli Zaretskii
Subject: bug#7908: png-1.5 fix for emacs-23.2 and HEAD
Date: Sat, 29 Jan 2011 18:16:10 +0200

> From: Chong Yidong <address@hidden>
> Cc: address@hidden,  address@hidden
> Date: Sat, 29 Jan 2011 10:44:19 -0500
> 
> >   image.c: In function `png_load':
> >   image.c:5866: error: invalid type argument of `unary *'
> 
> Hmm, interesting.  That line compiles fine on GNU/Linux.  Could you
> double check if you used the second (corrected) patch I sent?  Line 5866
> should read
> 
>   if (setjmp (PNG_JMPBUF (png_ptr)))

Sorry, I used an old patch.  But with this line corrected, the
compilation still fails with the same error message.

(I'm using libpng 1.4.x here, but I modified the #ifdef conditionals
to make the new code in effect on 1.4.x.  Maybe that's the reason for
the difference?)





reply via email to

[Prev in Thread] Current Thread [Next in Thread]